Bug 131660 - www/dansguardian upgrade to 2.10.0.3
Summary: www/dansguardian upgrade to 2.10.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-13 19:50 UTC by fjwcash
Modified: 2009-02-14 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (434 bytes, patch)
2009-02-13 19:50 UTC, fjwcash
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fjwcash 2009-02-13 19:50:05 UTC
Simple upgrade from 2.10.0.2 to 2.10.0.3.  Only two lines need to be changed in the port Makefile, PORTVERSION bumped to 2.10.0.3, and the configure option for WITH_DEBUG changed to --with-dgdebug.

Fix: Diff inlined below to show the two lines that need to be updated.


--- dansguardian.orig/Makefile  2009-02-01 10:28:43.000000000 -0800
+++ dansguardian/Makefile       2009-02-13 11:07:23.000000000 -0800
@@ -6,7 +6,7 @@
 #

 PORTNAME=      dansguardian
-PORTVERSION=   2.10.0.2
+PORTVERSION=   2.10.0.3
 CATEGORIES=    www
 MASTER_SITES=  # empty, see below

@@ -119,7 +119,7 @@
 .endif

 .if defined(WITH_DEBUG)
-CONFIGURE_ARGS+=       --enable-dgdebug
+CONFIGURE_ARGS+=       --with-dgdebug
 .endif

 #.if defined(NOPORTDOCS)

Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-02-13 20:17:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-02-14 19:21:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-02-14 19:21:20 UTC
miwi        2009-02-14 19:21:04 UTC

  FreeBSD ports repository

  Modified files:
    www/dansguardian     Makefile distinfo 
  Log:
  - Update to 2.10.0.3
  
  PR:             131660
  Submitted by:   Freddie Cash <fjwcash@gmail.com>
  
  Revision  Changes    Path
  1.29      +2 -2      ports/www/dansguardian/Makefile
  1.16      +3 -3      ports/www/dansguardian/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"